Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Qt 3 Support Members for QSound

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSound class reference

## Public Functions

| QSound ( const QString & filename, QObject * parent, const char * name )

- 8 public functions inherited from QObject

## Static Public Members

bool | available ()

## Member Function Documentation

### QSound::QSound ( const QString & filename, QObject * parent, const char * name )

Constructs a QSound object from the file specified by the given filename and with the given parent and name. Use the QSound() construcor and QObject::setObjectName() instead.

For example, if you have code like

     QSound *mySound = new QSound(filename, parent, name);

you can rewrite it as

     QSounc *mySound = new QSound(filename, parent);
     mySound->setObjectName(name);

### bool QSound::available ()`[static]`

Use the isAvailable() function instead.